Bug 18217 - <track> Sort cues by insertion order, not creation order
<track> Sort cues by insertion order, not creation order
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 17:43 UTC by contributor
Modified: 2012-09-28 05:50 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:43:05 UTC
This was was cloned from bug 17319 as part of operation convergence.
Originally filed: 2012-06-05 09:33:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-06-05 09:33:11 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/the-video-element.html
Multipage: http://www.whatwg.org/C#text-track-model
Complete: http://www.whatwg.org/c#text-track-model

Comment:
<track> Sort cues by insertion order, not creation order

Posted from: 85.227.152.202 by simonp@opera.com
User agent: Opera/9.80 (Macintosh; Intel Mac OS X 10.7.3; U; en) Presto/2.10.229 Version/11.64
================================================================================
 #1   Simon Pieters                                   2012-06-05 09:34:38 +0000 
--------------------------------------------------------------------------------
"any cues with identical end times must be sorted in the order they were created (so e.g. for cues from a WebVTT file, that would be the order in which the cues were listed in the file)"

Order they were created seems wrong for DOM-created cues. It should be in the order they were added with addCue()

var c1 = new TextTrackCue(...); var c2 = new TextTrackCue(...); cues.addCue(c2); cues.addCue(c1); // order should be c2, c1
cues.removeCue(c2); cues.addCue(c2); // order should now be c1, c2
================================================================================
 #2   Simon Pieters                                   2012-06-05 11:24:09 +0000 
--------------------------------------------------------------------------------
Insertion order should be for parsed cues as well, of course; in case a parsed cue is removed and readded.
================================================================================
Comment 1 Silvia Pfeiffer 2012-09-28 05:50:57 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: applied patch
https://github.com/w3c/html/commit/70b2ffc206e6024e85be0051b334ee4fcd4e7048
Rationale: adopted resolution by WHATWG